Issue 44102 - Where are the install files? RPMs are useless
Summary: Where are the install files? RPMs are useless
Status: CLOSED FIXED
Alias: None
Product: Installation
Classification: Application
Component: ui (show other issues)
Version: OOo 2.0 Beta
Hardware: All All
: P5 (lowest) Trivial with 18 votes (vote)
Target Milestone: ---
Assignee: requirements
QA Contact: issues@installation
URL:
Keywords: oooqa
: 56124 70436 (view as issue list)
Depends on:
Blocks:
 
Reported: 2005-03-04 19:11 UTC by garyemiller
Modified: 2013-08-07 15:26 UTC (History)
8 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description garyemiller 2005-03-04 19:11:30 UTC
Where are the install files?  RPMs are useless to me.  I have Linux systems that
are 5 and even 10 years old that have been continuously updated.  No way any RPM
system will ever grok such bastard children.  The OO 1.0 install worked just
fine, I need the same thing for OO 2.0
Comment 1 Olaf Felka 2005-03-05 13:52:18 UTC
reassigned
Comment 2 stx123 2005-03-06 18:18:19 UTC
Reassign issue to owner of selected subcomponent
Comment 3 Olaf Felka 2005-03-06 20:57:53 UTC
And what should I do with this issue? I'm not responsible for the distribution 
of OOo.
Comment 4 stx123 2005-03-06 21:07:43 UTC
Right, not for the distribution, but you have a deep insight in installation :-)

I would propose to forward the issue to those evaluating requirements for the
installation process.
Comment 5 Olaf Felka 2005-03-06 21:23:01 UTC
What should be evaluated here? If RPM is not supported by (installed on) a 
system OOo 2.0 can't be hosted on the system. That's why I assigned this issue 
to the default owner of enhancements.
Comment 6 Olaf Felka 2005-03-07 08:53:09 UTC
reassigned
Comment 7 bobharvey 2005-03-13 07:50:08 UTC
May I bring to yur attention
http://www.oooforum.org/forum/viewtopic.phtml?t=17814
Comment 8 suwalski 2005-03-13 16:09:08 UTC
"If RPM is not supported by (installed on) a system OOo 2.0 can't be hosted on
the system."

Wow. That has got to be the most aristocratic comment I've ever seen in a
bugzilla. That's like owning a Pontiac Sunfire and a Chevrolet service shop
telling you their tires would only work on a Chevrolet Cavalier. Never mind that
the cars are essentially identical.

"Cannot" is a major exaggeration in this case.
Comment 9 garyemiller 2005-03-13 23:02:50 UTC
I do no belive "Cannot" is a major exageration in this case.  Check out
www.rpm.org.  The only way you can get current binaries or source to "rpm" is in
an rpm!  If your host does not have a native RPM then you need to go through
some strange bootstrapping.  Or as they helpfully suggest "The best way to get
RPM is to install Red Hat Linux.".  Neither option is something I can get the
average Linux user to do.

I finally managed to bootstrap an "rpm" on my system, and found the only
dependenciy was on /bin/sh.  All that work, which few others will bother with,
to find out that?  Then since I had not been using rpms I had to override that
dependency.

Bring back the old installer!  The only reason I see to use the new installer is
to encourage people to buy RedHat.
Comment 10 aziem 2005-10-17 21:54:33 UTC
*** Issue 56124 has been marked as a duplicate of this issue. ***
Comment 11 jojoax 2005-10-18 09:17:57 UTC
This is discrimination made by OpenSource ! 
Converting the RPMs does not work. iE. alien -d produces junk, there are 
execute permissions missing in the produced packages. 
 
So this ISSUE is P1 - critical ! 
Comment 12 lohmaier 2005-10-18 22:00:08 UTC
jojoax: No piece of software is perfect - neither is alien. It is a known bug of
alien <= 8.50 to not convert all rpms correctly. OOo-folks provided a patch that
was integrated in 8.51. So use alien 8.51 or newer and it should work. Yes, I
really write that debian ships packages with bugs. Even when they are marked as
"stable". And that alien fails is not a OOo-Problem. It is an alien problem.

For everything else, this simple one-liner will extract all the files from the
rpms. Just move the tree to a location of your liking.

for i in *.rpm ; do rpm2cpio $i |cpio -id ; done

To all:
And better inform yourself before writting such lame flames.

There *is* a binary version of rpm in tar.gz. You don't need to bootstrap rpm,
You don't even need to install rpm. You don't have to actually use rpm.
ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/rpm-4.1.i386.tar.gz

And what is that "my systems are running since 5 to 10 years argument"? You
should have gathered enough experience in those years to repackage software
bundled as RPM. Either bypass rpm's dependancies (OOo has no external
dependancies expect basically glibc, sh and other basic stuff without you box
wouldn't run anyway) or convert it to another format.
OOo's rpms are relocatable.

Enough people have had prolems with the old installer. Enough to never bring it
back.

Furthermore: Virtually every distro out there has OOo in its repository. SuSE,
RedHat, Mandriva, Debian, Ubuntu, Gentoo, ...
If you fail to install the ones from OOo - just use the ones from your distro.

I suggest closing wontfix.
Comment 13 aziem 2005-10-19 03:29:15 UTC
*** Issue 56124 has been marked as a duplicate of this issue. ***
Comment 14 garyemiller 2005-10-19 21:51:37 UTC
GNU/Linux is about standards.  RPM is NOT a standard.  Using RPMS might be
justified if you were using them for anything other than a glorified tar.  Wores
yet, a tar that has to be told to ignore all it's error checking to get the OO
installed.  Sure most distros have an "rpm" mode, but since they are not the
native installer they know nothing of the few dependencies that your RPMs are
looking for.

Folks change distros every few years, OO 2.0 is such a great product I need to
deploy it much quicker than that.  I can not wait for every laptop to be
upgraded to the newest distro to get OO.  I need it as soon as it is released,
all over.

Why is wrapping a few tar files in a shell script so hard?  It is portable, it
is standards compliant, it is easy to modify for special needs.  RPMs are none
of that.  Simple scripts work for XFree, Xorg, Nvidia and many other universal
binaries.  Why this insistence on such a bizarre thing as RPMs?  Where is the
benefit? 
Comment 15 caiot1 2005-10-26 13:54:47 UTC
I know it's a decision of the project to use the native installers for OOo 2.0
in all operating systems, but a lot of users are requesting it.
Some users don't have rpm or rpm2tgz and they don't want to install it in their
computers, although you can argument rpm is part of the linux standard base.

Wouldn't be hard to find people to QA it and it would make a lot of users happy.

rpm2tgz is not an easy workaround to everyone because some users refuse to use
it, they prefer don't to install OOo.

Comment 16 jambrao 2005-10-26 15:42:48 UTC
The old installation method is more usefull than RPMs and work in any linux
flavors. Why RPMs ?
Comment 17 renatoyamane 2005-10-26 16:21:25 UTC
I use Conectiva Linux (with native suport a RPM) but why remove a old package
.tar.gz??
This package (tar.gz) "working" with ANY Linux and is easier than ANY users!
Why RPM?
Why DEB?
TAR.GZ is compatible with ALL, include Debian and RH!
Comment 18 renatoyamane 2005-10-26 16:26:12 UTC
I use Conectiva Linux (with native suport a RPM) but why remove a old package
.tar.gz??
This package (tar.gz) "working" with ANY Linux and is easier than ANY users!
Why RPM?
Why DEB?
TAR.GZ is compatible with ALL, include Debian and RH!
Comment 19 alxanderfranca 2005-10-26 17:24:12 UTC
"The package tar.gz work with any Linux.
TAR.GZ is compatible with ALL, include Debian and RH!"

Just RPM and DEB is horrible! 
Comment 20 sajer 2006-02-07 15:29:42 UTC
Yes, where is the OOo installer for Linux? I even have to use OpenOffice.org,
allthough I have a StarOffice 8 license... because StarOffice's own installer
didnt work on Ubuntu, a huge debian based distrubution, so I had to go through
the conversion of RPM files to debian files, and install them from the command
line. That didnt even work for the StarOffice RPM's... WTH?

Is this really how you want to spread OOo/StarOffice, dear developers and
planners? Going away from a GUI installer to this pre-1980 command line circus?
Even on StarOffice?

I know that the majority of the audience is on the Windows platform, but since
you did have an installer, this switch to a RPM circus is really like saying
"Goodbye casual users, we are now targeting system administrators and nerds".

A competent and robust installer for Linux is simply mandatory, none of your
excuses will do the casual user any good, and the number of casual Linux users
is growing.
Comment 21 terrynorth 2006-02-08 02:52:26 UTC
I have Mandriva Linux so rpm is the method usually employed but not everyone has
root privileges or a system suited to rpms so I believe a universally acceptable
method should be used.

I also see many posts from people who want to alter the way OO is installed. 
With alterable setup files, that is possible.

One thing I preferred about the old method is that you could run setup after
installation and choose a repair option.  Another thing is that it gave you an
easy way of choosing what parts of the system you install.
Comment 22 terrynorth 2006-02-08 02:53:22 UTC
I have Mandriva Linux so rpm is the method usually employed but not everyone has
root privileges or a system suited to rpms so I believe a universally acceptable
method should be used.

I also see many posts from people who want to alter the way OO is installed. 
With alterable setup files, that is possible.

One thing I preferred about the old method is that you could run setup after
installation and choose a repair option.  Another thing is that it gave you an
easy way of choosing what parts of the system you install.
Comment 23 coldwinston 2006-02-13 11:04:24 UTC
Is there any reason why a tarball could not be created as well as the RPM's and
made available on the download servers? 

I wish to install as non-root, I've found workaround instructions now (refer to
http://www.oooforum.org/forum/viewtopic.phtml?t=26173&highlight=linux+install,
also on this page) but an official installation tarball would be a lot simpler
and cleaner. 

I feel this issue should be priority 4, it crops up everywhere - linux
magazines, forums, everyone seems so heated about it - I like RPM's but
opensource is partly about having a choice.

Also: http://www.oooforum.org/forum/viewtopic.phtml?t=17814 shows a popularity
poll on the installers - Most people seem to agree that having both the tarball
and the RPM installers would satisfy everyone.

I hope this is taken as a sensible request, and not a flame of any kind.

Thanks,

Sean
Comment 24 t35t0r 2006-03-27 18:10:09 UTC
Even if you guys could include an install.sh file (e.g. similar to opera's
install.sh) that asks for install options and install prefix directory then it
would be an immense improvement. This would help people who want to install in
non-standard shared directories (even if all the client systems support rpm).

http://www.oooforum.org/forum/viewtopic.phtml?p=136552#136552
Comment 25 Olaf Felka 2006-10-15 08:37:33 UTC
*** Issue 70436 has been marked as a duplicate of this issue. ***
Comment 26 towsonu2003 2006-10-15 19:25:04 UTC
from my dupe (sorry about that):
Currently, debian users and users of non-rpm-based distros have to struggle with
rpm packages. Why not a firefox-type installation? So to install, you would have
to do the following:
1. download openoffice.tar.gz
2. tar xvzf openoffice.tar.gz
3. cd openoffice
4. ./soffice

and you're done. This is much easier and distro friendly. 
thanks

PS. Current (cpu hogging complicated) workaround:
http://www.oooforum.org/forum/viewtopic.phtml?t=26173&highlight=
Comment 27 terrynorth 2006-10-18 04:02:52 UTC
Although I currently use a Linux OS which is based on RPM and for which
OpenOffice provides a desktop-integration file, that will not necessarily
continue to be the case.

One question I am now considering is whether to contribute further to the
project by installing the latest build and testing various issues against it.  I
will be unable or unwilling to do that if I change to another Linux OS and rely
on its repository for OpenOffice.

As things stand now, OpenOffice is preferring certain distros over all the rest.
 If Adobe, Java and Mozilla can each provide an installer which works on all
distros, why can't OpenOffice?
Comment 28 ingo.schmidt-rosbiegal 2006-10-18 11:38:19 UTC
Beginning in src680 m188 it is very easy to create installation sets as tar.gz
(non-Windows) and zip (Windows). Additionally it is possible to create already
installed products in the solver of instsetoo_native. You only have to use the
environment variable PKGFORMAT, that from now on additionally supports "archive"
and "installed". Or you make a call like

dmake openoffice_en-US PKGFORMAT=archive 

in the shell, in which you create installation sets. 
This will currently not be used by Sun builds of OpenOffice.org, except the OOo
Development product, that is made available in every minor. 
A problem is, that this new product do not contain any system integration. But
therefore it is now possible to use something like:

1. download openoffice.tar.gz
2. tar xvzf openoffice.tar.gz
3. cd openoffice
4. ./soffice

Therefore I would like to close this task. 
Setting to "FIXED".
Comment 29 bobharvey 2006-10-18 11:50:50 UTC
I do not think those of us who voted for this issue will regard it as "fixed"
until the user's downloads from the web site are in a universal format.

The issue was raised not from a developer's viewpoint but from that of a normal
client user, downloading code from the web site.

The original complaint was that the universal installer from version 1 was
replaced with .rpm downloads in version 2.  

I don't think this is "fixed" at all yet.
Comment 30 ingo.schmidt-rosbiegal 2006-10-18 13:56:05 UTC
But now there is an alternative to the rpm installation. Reanimating the old
setup application was no alternative. Now we have a technical solution to
install OOo on any available system. Unfortunately we do not have enough QA
resources, to test all the installation sets, that can be created from now on.
Therefore this tar.gz-Installer is not an officially supported Sun-internal
build. Currently Sun internal builds are always rpm builds (of course this might
change in the future). But anyone else can create (and test) this new
installation sets. Additionally Sun offers the OOo Development builds in this
new tar.gz format. This is all we can do, therefore this task is "fixed" in my
opinion.
Comment 31 bobharvey 2006-10-20 21:17:04 UTC
 is wrote:
>But now there is an alternative to the rpm installation
Not from where I am sitting there is not. Nothing has changed at
http://download.openoffice.org/2.0.4/contribute.html?product=OpenOffice.org&os=linuxintel&lang=en&version=2.0.4

Look, I really appreciate all the effort it must have taken to get this solution
coded and tested. And I suspect it is probably cleverer than I will ever
understand.   But unless it is used to provide a download link on
www.openoffice.org then it will not resolve the complaints of the user, and
might well have been utterly wasted.

It seems a shame to have done the donkey work of creating the new methodologies,
and fail to achieve the last 5% of making the results available to people.
Comment 32 towsonu2003 2006-10-20 21:46:22 UTC
I couldn't agree more with bobharvey's last post... specifically this part
expresses what I think:

> But unless it is used to provide a download link on
> www.openoffice.org then it will not resolve the complaints of the user
Comment 33 towsonu2003 2006-10-20 22:05:33 UTC
the 5% bobharvey mentions above to really close this issue:

(source: http://www.oooforum.org/forum/viewtopic.phtml?t=26173&highlight= )

1. Download OOo_[??]_LinuxIntel_install.tar.gz to ~/
2. Start a shell (also called a terminal)
3. mkdir ~/ooo; cd ~/ooo
4. tar xvzf ../OOo_2.0.0_LinuxIntel_install.tar.gz
5. for i in `ls OOO[??????]/RPMS/*rpm`; do rpm2cpio $i | cpio -ivd; done 
move ~/ooo/opt to /opt
6. tar the folder it produces
7. Put a link to it at the downloads page

Steps 1 thru 5 take about 30 minutes in my system. Steps 1 thru 6 can be done by
the devel who is responsible for packaging OOo (whoever that is), step 7 can be
done by the openoffice.org staff after they get their hands on the tar.gz file. 

I have no idea how to use "dmake openoffice_en-US PKGFORMAT=archive" so I didn't
give that as a step... I guess it would make the above process even easier? 

thanks for all your efforts :)
Comment 34 renatoyamane 2006-10-22 14:24:17 UTC
is wrote:
> Unfortunately we do not have enough QA resources, to test all the installation
> sets, that can be created from now on.
> Therefore this tar.gz-Installer is not an officially supported Sun-internal
> build.

So why change status to FIXED?
I repeat: RPM packages is not enought to most users, because RPM is not standard
at all distros.

I agree with bobharvey when he say:
"The original complaint was that the *universal installer* from version 1 was
replaced with .rpm downloads in version 2"

Why OOo change a UNIVERSAL INSTALLER to a SPECIFIC INSTALLER (RPM)?
Only answer this question to me :-)

Best regards,
Renato S. Yamane
Comment 35 Martin Hollmichel 2006-10-23 07:29:47 UTC
@voters: please open a new issue for the distribution of those packages and
advertize this on release@openoffice.org. This is nothing for discussion in an
issue.
Comment 36 towsonu2003 2006-12-24 11:23:24 UTC
did anyone open a new issue for this? 
Comment 37 terrynorth 2006-12-24 12:37:04 UTC
I've heard of new issue.

I'm subscribed to the users' list and discuss list and visit the forum often if
you wish to raise the matter in any of those places.

The usual officious, official OOo geek gobbledy gook:
1.  How does a new issue make a difference?
2.  What does "please ...advertize this on release@openoffice.org...." mean?

What is "release@openoffice.org"?
Comment 38 terrynorth 2006-12-24 12:51:21 UTC
Messages to release@openoffice.org and the alternative suggested by the
mailer-daemon were both returned.

So, the address given for advertising is fictitious.
Comment 39 caiot1 2006-12-24 15:44:52 UTC
releases@openoffice.og

subscribing:
releases-subscribe@openoffice.org

Comment 40 towsonu2003 2006-12-24 18:54:39 UTC
new bug reported:
bug # 72921

I'll email releases@ in a minute. 
Comment 41 towsonu2003 2006-12-24 18:55:42 UTC
hmm, sorry for the noise, forgot to add-

new bug reported:
bug # 72921
don't forget to transfer your votes there
Comment 42 ace_dent 2008-05-17 21:25:07 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 43 ace_dent 2008-05-17 23:28:25 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew